Module | Haml::Filters::Css
In: | lib/haml/filters.rb

Surrounds the filtered text with `<style>` and CDATA tags. Useful for including inline CSS.

### Methods

render_with_options

### Included Modules

Base

### Public Instance methods

render_with_options(text, options)

@see Base#render_with_options

[Source]

         # File lib/haml/filters.rb, line 221
    221:       def render_with_options(text, options)
    222:         "<style type=\#{options[:attr_wrapper]}text/css\#{options[:attr_wrapper]}>\n  /*<![CDATA[*/\n    \#{text.rstrip.gsub(\"\\n\", \"\\n    \")}\n  /*]]>*/\n</style>\n"
    223:       end

[Validate]